## class Fl_Check_Button

### Class Hierarchy

    Fl_Button
       |
       +----Fl_Check_Button

### Include Files

    #include <FL/Fl_Check_Button.H>

### Description

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for `type()` and `when()`.

The `Fl_Check_Button` subclass display the "on" state by turning on a light, rather than drawing pushed in. The shape of the "light" is initially set to FL_DIAMOND_DOWN_BOX. The color of the light when on is controlled with `selection_color()`, which defaults to FL_RED.

### Methods

- Fl_Check_Button
- ~Fl_Check_Button

#### Fl_Check_Button::Fl_Check_Button(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Check_Button` widget using the given position, size, and label string.

#### Fl_Check_Button::~Fl_Check_Button()

The destructor deletes the check button.